Bug 51044 - login is (still) broken, console logins have no controlling tty
login is (still) broken, console logins have no controlling tty
Product: Red Hat Public Beta
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
: 51212 52051 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-08-06 17:17 EDT by Bill Crawford
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-23 09:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2001-08-06 17:17:58 EDT
Description of Problem:
^C, ^\ etc. fail to work on console login.
vlock fails with "vlock: could not open /dev/tty: No such device or

How Reproducible:
Log in at console, and try any of the above :o)

Steps to Reproduce:
1. Log in at the console
2. Run any command e.g. make, then try to interrupt it, or
3. try to run "vlock"

Actual Results:
Pressing ^C fails to interrupt make; vlock fails with the above error

Expected Results:
Make should quit with an "interrupted" message; vlock should lock the
console, vlock -a should also prevent VT switching.

Additional Information:
Appears to be related to code in login to do a "TIOCNOTTY" ioctl in the
parent process.
Comment 1 Glen Foster 2001-08-06 18:53:15 EDT
We (Red Hat) really need to fix this defect before next release.
Comment 2 Bill Crawford 2001-08-06 18:59:34 EDT

Yes, but I think it needs feeding back to the util-linux maintainer, Andries
Brouwer <aeb@cwi.nl>.

I could do that, but I suspect you guys know more about the cause of / fix for
this than I do.
Comment 3 Elliot Lee 2001-08-07 13:29:13 EDT
glen wasn't making any comment about feeding patches upstream, just making sure
someone does something about the bug.

I can't reproduce the problem. mingetty-0.9.4-18, SysVinit-2.78-18,

Can you tell me what 'ls -l /dev/tty `tty`' looks like on one of these logins?
Also the output of 'stty' and 'echo $TERM'? Thanks.
Comment 4 Bill Crawford 2001-08-07 13:53:42 EDT
Interesting results:

[bill@billc bill]$ ls -l /dev/tty `tty`
crw-rw-rw-    1 root     root       5,   0 Jul 18 16:58 /dev/tty
crw--w----    1 bill     tty        4,   2 Aug  7 18:53 /dev/tty2
[bill@billc bill]$ tty
[bill@billc bill]$ vlock
vlock: could not open /dev/tty: No such device or address

It was the vlock problem that originally alerted me.  The ^C issue is the
symptom that was originally reported to you.

As far as package versions go, I upgraded on top of Raw Hide from July 13th, but
seem to have roughly the same:

[bill@billc bill]$ rpm -q mingetty SysVinit util-linux

I guess it may have been fixed between the -5 and -8 releases :o)

Is it possible to update Raw Hide a bit faster at times like this?
Comment 5 Bill Crawford 2001-08-07 13:56:36 EDT
Sorry, missed a piece:

[bill@billc bill]$ stty
speed 38400 baud; line = 0;
-brkint -imaxbel
[bill@billc bill]$ echo $TERM

But it sounds like your internal version may have solved the problem by now. 
Does "vlock" work for you when you log in to a console?
Comment 6 Elliot Lee 2001-08-07 14:13:43 EDT
Try updating your util-linux for sure, I'll try getting a rawhide push RSN.
Comment 7 Trond Eivind Glomsrxd 2001-08-21 10:33:14 EDT
*** Bug 51212 has been marked as a duplicate of this bug. ***
Comment 8 Bill Crawford 2001-08-21 14:50:14 EDT
Seems to be fixed in the latest Raw Hide push, actually.
As far as I'm concerned this can be closed now.
Comment 9 Nalin Dahyabhai 2001-08-23 09:59:10 EDT
*** Bug 52051 has been marked as a duplicate of this bug. ***
Comment 10 Nalin Dahyabhai 2001-08-23 10:00:04 EDT
Appears to be fixed here as well.  Closing.

Note You need to log in before you can comment on or make changes to this bug.